Skip to content
Runta
Resources
Thesis
Docs
Blog
Pricing
About
Careers
Start free trial
Resources
Thesis
Docs
Blog
Pricing
About
Careers
Start Here
Getting Started
Architecture
Integration
Harbor
OpenAI Agents SDK
Features
Runtime Basics
Memory Auto Scaling
Files
Egress
Checkpoints
Secret Stubs
Publish a Service
Auto Suspend and Wake-Up
Agent Skills
Overview
Runta Installer Skill
Runta Demos Skill
Runta CLI Skill
Python SDK Skill
TypeScript SDK Skill
Runta CLI
Overview
Install and Configuration
Lifecycle
Command Execution
Files
Checkpoints
Egress
Secrets
Python SDK
Overview
Sync
CheckpointManager
EgressManager
FileManager
Runta
Runtime
RuntimeCheckpointManager
RuntimeManager
RuntimeSecretManager
SecretManager
Async
AsyncCheckpointManager
AsyncEgressManager
AsyncFileManager
AsyncRunta
AsyncRuntime
AsyncRuntimeCheckpointManager
AsyncRuntimeManager
AsyncRuntimeSecretManager
AsyncSecretManager
Shared
ApiError
CheckpointInfo
CheckpointState
CommandError
CommandResult
ConfigError
CreateRuntimeResourceRequests
CreateRuntimeResources
DefaultSecretStubInfo
EgressMode
EgressPolicy
IngressSpec
PatchRuntimeResourceRequests
PatchRuntimeResources
RuntaError
RuntimeInfo
RuntimeResourceLimits
RuntimeResourceRequests
RuntimeResources
RuntimeStatus
SecretInfo
SecretStubConfig
SecretStubInfo
TypeScript SDK
Overview
Core
Runta
Runtime
Managers
Runtimes
Files
Secrets
Checkpoints
Egress
Shared
Configuration
Runtime Models
Secret Models
Checkpoint Models
Statuses and Modes
Errors
Runta REST API
Overview
Health
Liveness check
GET
Liveness check
HEAD
Runtimes
List runtimes
GET
Create a runtime
POST
Get a runtime by UUID
GET
Delete a runtime by UUID
DELETE
Patch runtime resources or policy
PATCH
Boot a shut-down runtime
POST
Pause a running runtime
POST
Resume a paused runtime
POST
Gracefully shut down a runtime
POST
Run a buffered command
POST
Files
Read a single file from a runtime
GET
Write a single file into a runtime
PUT
Secrets
List egress secret metadata
GET
Get egress secret metadata
GET
Store or replace an egress secret
PUT
Delete an egress secret
DELETE
Secret Stubs
List tenant default secret stubs
GET
Store or replace a tenant default secret stub
PUT
Create a tenant default secret stub
POST
Delete a tenant default secret stub by UUID
DELETE
List secret stubs for a runtime
GET
Store or replace a runtime-scoped secret stub
PUT
Create a runtime-scoped secret stub
POST
Get runtime secret stub metadata
GET
Delete a runtime secret stub
DELETE
List all secret stubs
GET
Delete a secret stub by UUID
DELETE
Checkpoints
Create a checkpoint from a runtime
POST
List user checkpoints
GET
Get checkpoint metadata
GET
Delete a checkpoint
DELETE
Overview
Runta REST API
0.0.5
Section titled “Runta REST API 0.0.5”
Public REST facade for runta-control.
Information
OpenAPI version:
3.0.3
Operations
Section titled “ Operations ”
GET
/healthz
HEAD
/healthz
GET
/v1/runtimes
POST
/v1/runtimes
GET
/v1/runtimes/{runtime_id}
DELETE
/v1/runtimes/{runtime_id}
PATCH
/v1/runtimes/{runtime_id}
POST
/v1/runtimes/{runtime_id}/start
POST
/v1/runtimes/{runtime_id}/pause
POST
/v1/runtimes/{runtime_id}/resume
POST
/v1/runtimes/{runtime_id}/stop
POST
/v1/runtimes/{runtime_id}/exec
GET
/v1/runtimes/{runtime_id}/files
PUT
/v1/runtimes/{runtime_id}/files
GET
/v1/secrets
GET
/v1/secrets/{secret_id}
PUT
/v1/secrets/{secret_id}
DELETE
/v1/secrets/{secret_id}
GET
/v1/default-secret-stubs
PUT
/v1/default-secret-stubs
POST
/v1/default-secret-stubs
DELETE
/v1/default-secret-stubs/{stub_id}
GET
/v1/runtimes/{runtime_id}/secret-stubs
PUT
/v1/runtimes/{runtime_id}/secret-stubs
POST
/v1/runtimes/{runtime_id}/secret-stubs
GET
/v1/runtimes/{runtime_id}/secret-stubs/{stub_id}
DELETE
/v1/runtimes/{runtime_id}/secret-stubs/{stub_id}
GET
/v1/secret-stubs
DELETE
/v1/secret-stubs/{stub_id}
POST
/v1/runtimes/{runtime_id}/checkpoints
GET
/v1/checkpoints
GET
/v1/checkpoints/{checkpoint_id}
DELETE
/v1/checkpoints/{checkpoint_id}
Authentication
Section titled “ Authentication ”
BearerAuth
Section titled “BearerAuth ”
Security scheme type:
http